[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTabControl.DoSetBounds

Updates the bounds for the control to the specified values.

## Declaration

Source position: comctrls.pp line 845

`protected procedure TTabControl.DoSetBounds(`
`ALeft: Integer;`
`ATop: Integer;`
`AWidth: Integer;`
`AHeight: Integer`
`); override;`

## Arguments

`ALeft` |  | New value for the Left property.
`ATop` |  | New value for the Top property.
`AWidth` |  | New value for the Width property.
`AHeight` |  | New value for the Height property.

## Description

DoSetBounds is an overridden method in cv TTabControl. It calls the inherited method in entry to adjust the client rectangle for the control and its control flags. Calls the TabControlBoundsChange method in the Tabs property when it has been assigned.

## See also

TCustomTabControl.Tabs |  | Contains the list of pages accessible in the tabbed control.
TWinControl.DoSetBounds |  | Updates the size and extent of the control as well as its ClientRect.